// Local Helix

#ifndef _LocalHelix_h_
#define _LocalHelix_h_

#include <CLHEP/ThreeVector.h>             
#include <iostream.h>

class LocalHelix{
public:
    LocalHelix();
    LocalHelix(const Hep3VectorF& position, 
	       const Hep3VectorF& direction, 
	       const Hep3VectorF& curvature);
    LocalHelix(const LocalHelix& original);
    ~LocalHelix();
    LocalHelix& operator=(const LocalHelix& original);
    Hep3VectorF& position(){return _position;}
    Hep3VectorF& direction(){return _direction;}
    Hep3VectorF& curvature(){return _curvature;}
    void print();
private:
    Hep3VectorF _position;
    Hep3VectorF _direction;
    Hep3VectorF _curvature;
};

#endif
