#ifndef _MFNode_C_
#define _MFNode_C_

#include "MFNode.h"
#include "MFIterator.h"
#include <iostream.h>

template <class T>
MFNode<T>::MFNode():
  HepCList<T>()
{
}

template <class T>
MFNode<T>::MFNode(const T& t):
  HepCList<T>()
{
    append(t);
}

template <class T>
ostream& operator<<(ostream& out, const MFNode<T>& anNode)
{
    T* pNode;
    MFIterator<T> it(anNode);
    out << "[\t";
    while((pNode = it()))
    {
	out << *pNode << ",\t";
    }
    out << "]\t";
    return(out);
}

#endif








