// Plottable
// SuperClass for any class
// which is to be plotted
// Such classes should be able to return plottableObject()

#ifndef _Plottable_h_
#define _Plottable_h_

#include "ThreeDSeparator.h"

class Plottable
{
public:
    Plottable();
    Plottable(const Plottable& original);
    virtual ~Plottable();
    Plottable& operator=(const Plottable& original);
    virtual ThreeDSeparator plottableObject() = 0; 
};

#endif
