#include "Point.h"
#include "SFVec3f.h"

Point::Point()
{
}

Point::Point(const SFVec3f& aVector):
    _aCoordinate3(aVector),
    _aPointSet(0, -1)
{
    add(&_aCoordinate3);
    add(&_aPointSet);
}

Point::Point(const Point& original):
    _aCoordinate3(original._aCoordinate3),
    _aPointSet(original._aPointSet)
{
}

Point::~Point()
{
}

Point& Point::operator=(const Point& original)
{
    _aCoordinate3 = original._aCoordinate3;
    _aPointSet = original._aPointSet;
    return(*this);
}

