// Point

#ifndef _Point_h_
#define _Point_h_

#include "ThreeDSeparator.h"
#include "ThreeDCoordinate3.h"
#include "ThreeDPointSet.h"

class SFVec3f;

class Point : public ThreeDSeparator
{
public:
    Point();
    Point(const SFVec3f& aVector);
    Point(const Point& original);
    ~Point();
    Point& operator=(const Point& original);
private:
  ThreeDCoordinate3 _aCoordinate3;
  ThreeDPointSet _aPointSet;
};

#endif





