// SF Color

#ifndef _SFColor_h_
#define _SFColor_h_

#include <CLHEP/ThreeVector.h>

class SFColor: public Hep3VectorF
{
public:
    SFColor();
    SFColor(float x,
	    float y,
	    float z);
    SFColor(const Hep3VectorF& aVector);
    bool operator==(const SFColor& other) const;
    bool operator!=(const SFColor& other) const;
    friend ostream& operator<<(ostream& out, const SFColor& aColor);
};

#endif

