// SF Rotation

#ifndef _SFRotation_h_
#define _SFRotation_h_

#include "SFNode.h"
#include "SFFloat.h"
#include "SFVec3f.h"

class SFRotation: public SFNode
{
public:
    SFRotation();
    SFRotation(const SFVec3f& axis, 
	       const SFFloat& angle);
    SFRotation(const SFRotation& original);
    ~SFRotation();
    SFRotation& operator=(const SFRotation& original);  
    friend ostream& operator<<(ostream& out, const SFRotation& aRotation);
private:
    SFVec3f _axis;
    SFFloat _angle;
};

#endif

