#include "Sphere.h"
#include "ThreeDTranslation.h"
#include "ThreeDSphere.h"
#include "SFVec3f.h"

Sphere::Sphere()
{
}

Sphere::Sphere(const SFFloat& radius, 
	       const SFVec3f& place):
    _aTranslation(place),
    _aSphere(radius)
{
    add(&_aTranslation);
    add(&_aSphere);
}

Sphere::Sphere(const Sphere& original):
    _aTranslation(original._aTranslation),
    _aSphere(original._aSphere)
{
}

Sphere::~Sphere()
{
}

Sphere& Sphere::operator=(const Sphere& original)
{
    _aTranslation = original._aTranslation;
    _aSphere = original._aSphere;
    return(*this);
}

