// Sphere

#ifndef _Sphere_h_
#define _Sphere_h_

#include "ThreeDSeparator.h"
#include "ThreeDRotation.h"
#include "ThreeDTranslation.h"
#include "ThreeDSphere.h"
#include "SFFloat.h"

class SFVec3f;

class Sphere : public ThreeDSeparator
{
public:
    Sphere();
    Sphere(const SFFloat& radius, 
	   const SFVec3f& place);
    Sphere(const Sphere& original);
    ~Sphere();
    Sphere& operator=(const Sphere& original);
private:
    ThreeDTranslation _aTranslation;
    ThreeDSphere _aSphere;
};

#endif
