// ThreeD Cylinder

#ifndef _ThreeDCylinder_h_
#define _ThreeDCylinder_h_

#include "ThreeDShape.h"
#include "SFFloat.h"

class VRMLWindow;
class VRMLFile;

class ThreeDCylinder : public ThreeDShape
{
public:
    ThreeDCylinder();
    ThreeDCylinder(const SFFloat& radius, 
		   const SFFloat& height);
    ThreeDCylinder(const ThreeDCylinder& original);
    ~ThreeDCylinder();
    ThreeDCylinder& operator=(const ThreeDCylinder& original);
    void plot(const VRMLWindow& scene) const;
    void plot(const VRMLFile& scene) const;
private:
    SFFloat _radius;
    SFFloat _height;
};

#endif
