// ThreeD LOD

#ifndef _ThreeDLOD_h_
#define _ThreeDLOD_h_

#include "ThreeDContainer.h"
#include "SFVec3f.h"
#include "MFFloat.h"

class VRMLWindows;
class VRMLFile;

class ThreeDLOD : public ThreeDContainer
{
public:
    ThreeDLOD();
    ThreeDLOD(const MFFloat& range,
	      const SFVec3f& center);
    ThreeDLOD(const ThreeDLOD& original);
    ~ThreeDLOD();
    ThreeDLOD& operator=(const ThreeDLOD& original);
    void plot(const VRMLWindow& scene) const; 
    void plot(const VRMLFile& scene) const;
private:
    MFFloat _range;
    SFVec3f _center;
};

#endif
