#include "ThreeDPointSet.h"
#include "VRMLWindow.h"
#include "VRMLFile.h"
#include <iostream.h>

ThreeDPointSet::ThreeDPointSet()
{
}

ThreeDPointSet::ThreeDPointSet(const SFLong& startIndex, 
			       const SFLong& numPoints): 
    _startIndex(startIndex),
    _numPoints(numPoints)
{
}
 
ThreeDPointSet::ThreeDPointSet(const ThreeDPointSet& original):
    _startIndex(original._startIndex),
    _numPoints(original._numPoints)
{
}

ThreeDPointSet::~ThreeDPointSet()
{
}

ThreeDPointSet& ThreeDPointSet::operator=(const ThreeDPointSet& original)
{
    _startIndex = original._startIndex;
    _numPoints = original._numPoints;
    return(*this);
}

void ThreeDPointSet::plot(const VRMLWindow&) const
{
}

void ThreeDPointSet::plot(const VRMLFile& scene) const
{
    scene.out() << "PointSet {\t";
    scene.out() << "startIndex\t" << _startIndex << "\t";
    scene.out() << "numPoints\t" << _numPoints << "\t";
    scene.out() << "}" << endl;
}

