// ThreeD Rotation

#ifndef _ThreeDRotation_h_
#define _ThreeDRotation_h_

#include "ThreeDProperty.h"
#include "SFRotation.h"

class VRMLWindow;
class VRMLFile;

class ThreeDRotation : public ThreeDProperty
{
public:
    ThreeDRotation();
    ThreeDRotation(const SFRotation& rotation);
    ThreeDRotation(const ThreeDRotation& original);
    ~ThreeDRotation();
    ThreeDRotation& operator=(const ThreeDRotation& original);
    void plot(const VRMLWindow& scene) const;
    void plot(const VRMLFile& scene) const;
private:
    SFRotation _rotation;
};

#endif
