// ThreeD Sphere

#ifndef _ThreeDSphere_h_
#define _ThreeDSphere_h_

#include "ThreeDShape.h"
#include "SFFloat.h"

class VRMLWindow;
class VRMLFile;

class ThreeDSphere : public ThreeDShape
{
public:
    ThreeDSphere();
    ThreeDSphere(const SFFloat& radius);
    ThreeDSphere(const ThreeDSphere& original);
    ~ThreeDSphere();
    ThreeDSphere& operator=(const ThreeDSphere& original);
    void plot(const VRMLWindow& scene) const;
    void plot(const VRMLFile& scene) const;
private:
    SFFloat _radius;
};

#endif
