#include "ThreeDTranslation.h"
#include "VRMLWindow.h"
#include "VRMLFile.h"
#include <iostream.h>

ThreeDTranslation::ThreeDTranslation()
{
}

ThreeDTranslation::ThreeDTranslation(const SFVec3f& translation):
    _translation(translation)
{
}

ThreeDTranslation::ThreeDTranslation(const ThreeDTranslation& original):
    _translation(original._translation)
{
}

ThreeDTranslation::~ThreeDTranslation()
{
}

ThreeDTranslation& ThreeDTranslation::operator=(const ThreeDTranslation& original)
{
    _translation = original._translation;
    return(*this);
}

void ThreeDTranslation::plot(const VRMLWindow&) const
{
}

void ThreeDTranslation::plot(const VRMLFile& scene) const
{
    scene.out() << "Translation {\t";
    scene.out() << "translation\t";
    scene.out() << _translation << "\t";
    scene.out() << "}" << endl;
}




