// ThreeD Translation

#ifndef _ThreeDTranslation_h_
#define _ThreeDTranslation_h_

#include "SFVec3f.h"
#include "ThreeDProperty.h"

class VRMLWindow;
class VRMLFile;

class ThreeDTranslation : public ThreeDProperty
{
public:
    ThreeDTranslation();
    ThreeDTranslation(const SFVec3f& translation);
    ThreeDTranslation(const ThreeDTranslation& original);
    ~ThreeDTranslation();
    ThreeDTranslation& operator=(const ThreeDTranslation& original);
    void plot(const VRMLWindow& scene) const;
    void plot(const VRMLFile& scene) const;
private:
    SFVec3f _translation;
};

#endif
