// ThreeD WWWInline

#ifndef _ThreeDWWWInline_h_
#define _ThreeDWWWInline_h_

#include "ThreeDShape.h"
#include "SFString.h"
#include "SFVec3f.h"

class VRMLWindow;
class VRMLFile;

class ThreeDWWWInline : public ThreeDShape
{
public:
    ThreeDWWWInline();
    ThreeDWWWInline(const SFString& name);
    ThreeDWWWInline(const SFString& name, 
		    const SFVec3f& bboxSize, 
		    const SFVec3f& bboxCenter);
    ThreeDWWWInline(const ThreeDWWWInline& original);
    ~ThreeDWWWInline();
    ThreeDWWWInline& operator=(const ThreeDWWWInline& original);
    void plot(const VRMLWindow& scene) const;
    void plot(const VRMLFile& scene) const;
private:
    SFString _name;
    SFVec3f _bboxSize;
    SFVec3f _bboxCenter;
};

#endif
