// VRML File
// Creates file containing the VRML representation of Plottable

#ifndef _VRMLFile_h_
#define _VRMLFile_h_

#include "Scene.h"
#include <fstream.h>

class HepString;
class Plottable;

class VRMLFile : public Scene
{
public:
    VRMLFile();
    VRMLFile(const HepString& sceneName);
    ~VRMLFile();
    VRMLFile& operator=(const VRMLFile& original);
    void display(Plottable& plottable) const; 
    ofstream& out() const;
private:
    ofstream _out;
};

#endif
