#include "Axes.h"

Axes::Axes():
    _inlinedCamera("Camera.wrl"),
    _inlinedAxes("Axes.wrl")

{
//    add(&_inlinedCamera); // doesn't render right under Vrweb and ModelViewer
    add(&_inlinedAxes); 
}

Axes::Axes(const Axes& original):
     _inlinedCamera(original._inlinedCamera),
     _inlinedAxes(original._inlinedAxes)
{
}

Axes::~Axes()
{
}

Axes& Axes::operator=(const Axes& original)
{
    _inlinedCamera = original._inlinedCamera;
    _inlinedAxes = original._inlinedAxes;
    return(*this);
}

