#include "Color.h"
#include "SFColor.h"
#include "MFColor.h"
#include <new.h>

Color::Color()
{
}

Color::Color(const SFColor& rgb):
    _aMaterial()
{
    MFColor color(rgb);
    _aMaterial.~ThreeDMaterial();
    new (&_aMaterial) ThreeDMaterial(color, color, color, color, 0, 0);
    add(&_aMaterial);
}

Color::Color(const Color& original):
    _aMaterial(original._aMaterial)
{
}

Color::~Color()
{
}

Color& Color::operator=(const Color& original)
{
  _aMaterial = original._aMaterial;
  return(*this);
}



