#include "MagneticField.h"
#include "TrackedParticle.h"
#include <CLHEP/ThreeVector.h>

MagneticField::MagneticField()
{
}

MagneticField::MagneticField(const MagneticField&)
{
}

MagneticField::~MagneticField()
{
}

MagneticField& MagneticField::operator=(const MagneticField&)
{
    return(*this);
}

void MagneticField::goByStep(TrackedParticle& particle, // Uncorrect, but
			     float r)                   // produces spiral in x-y
{
    float pisvejc = 500;
    float pisvejc1 = 0.95;
    pisvejc = pisvejc * r * particle.charge() / particle.pt();
    
    particle.position() = particle.position() + particle.direction() * r;
    particle.direction() += Hep3VectorF(pisvejc * particle.direction().y(),
					-pisvejc * particle.direction().x(),
					0);
    particle.direction() = particle.direction().unit();
    particle.length() = particle.length() + r;
    particle.pt() = particle.pt() * pisvejc1;
}













