#include "SFColor.h"
#include <iostream.h>

SFColor::SFColor()
{
}

SFColor::SFColor(float x, 
		 float y, 
		 float z):
    Hep3VectorF(x, y, z)
{
}

SFColor::SFColor(const Hep3VectorF& aVector):
    Hep3VectorF(aVector)
{
}

bool SFColor::operator==(const SFColor& other) const
{  
    return(x == other.x && y == other.y && z == other.z);
}

bool SFColor::operator!=(const SFColor& other) const
{
    return(! (*this == other));
}

ostream& operator<<(ostream& out, const SFColor& aColor)
{
    out << aColor.x() << "\t";
    out << aColor.y() << "\t";
    out << aColor.z() << "\t";
    return(out);
}
