#include "SFRotation.h"
#include <iostream.h>

SFRotation::SFRotation()
{
}

SFRotation::SFRotation(const SFVec3f& axis, 
		       const SFFloat& angle):
    _axis(axis),
    _angle(angle)
{
}

SFRotation::SFRotation(const SFRotation& original):
    _axis(original._axis),
    _angle(original._angle)
{
}

SFRotation::~SFRotation()
{
}

SFRotation& SFRotation::operator=(const SFRotation& original)
{
    _axis = original._axis;
    _angle = original._angle;
    return(*this);
}

ostream& operator<<(ostream& out, const SFRotation& aRotation)
{
    out << "rotation\t";
    out << aRotation._axis.x() << "\t";
    out << aRotation._axis.y() << "\t";
    out << aRotation._axis.z() << "\t";
    out << aRotation._angle << "\t";
    return(out);
}


