#include "SFVec3f.h"
#include <iostream.h>

SFVec3f::SFVec3f()
{
}

SFVec3f::SFVec3f(float x, 
		 float y, 
		 float z):
    Hep3VectorF(x, y, z)
{
}

SFVec3f::SFVec3f(const Hep3VectorF& aVector):
    Hep3VectorF(aVector)
{
}

bool SFVec3f::operator==(const SFVec3f& other) const
{
    return(x == other.x && y == other.y && z == other.z);
}

bool SFVec3f::operator!=(const SFVec3f& other) const
{
    return(! (*this == other));
}

ostream& operator<<(ostream& out, const SFVec3f& aVector)
{
    out << aVector.x() << "\t";
    out << aVector.y() << "\t";
    out << aVector.z() << "\t";
    return(out);
}
