// SF Vec3f

#ifndef _SFVec3f_h_
#define _SFVec3f_h_

#include <CLHEP/ThreeVector.h>

class SFVec3f: public Hep3VectorF
{
public:
    SFVec3f();
    SFVec3f(float x,
	    float y,
	    float z);
    SFVec3f(const Hep3VectorF& aVector);
    bool operator==(const SFVec3f& other) const;
    bool operator!=(const SFVec3f& other) const;
    friend ostream& operator<<(ostream& out, const SFVec3f& aVector);
};

#endif

