#include "ThreeDCone.h"
#include "VRMLWindow.h"
#include "VRMLFile.h"
#include <iostream.h>

ThreeDCone::ThreeDCone()
{
}

ThreeDCone::ThreeDCone(const SFFloat& bottomRadius, 
		       const SFFloat& height):
    _bottomRadius(bottomRadius),
    _height(height)
{
}
 
ThreeDCone::ThreeDCone(const ThreeDCone& original):
    _bottomRadius(original._bottomRadius),
    _height(original._height)
{
}

ThreeDCone::~ThreeDCone()
{
}

ThreeDCone& ThreeDCone::operator=(const ThreeDCone& original)
{
    _bottomRadius = original._bottomRadius;
    _height = original._height;
    return(*this);
}

void ThreeDCone::plot(const VRMLWindow&) const
{
}

void ThreeDCone::plot(const VRMLFile& scene) const
{
    scene.out() << "Cone {\t";
    scene.out() << "parts\tALL\t";
    scene.out() << "bottomRadius\t" << _bottomRadius << "\t";
    scene.out() << "height\t" << _height << "\t";
    scene.out() << "}" << endl;
}

