// ThreeD Cone

#ifndef _ThreeDCone_h_
#define _ThreeDCone_h_

#include "ThreeDShape.h"
#include "SFFloat.h"

class VRMLWindow;
class VRMLFile;

class ThreeDCone : public ThreeDShape
{
public:
    ThreeDCone();
    ThreeDCone(const SFFloat& bottomRadius, 
	       const SFFloat& height);
    ThreeDCone(const ThreeDCone& original);
    ~ThreeDCone();
    ThreeDCone& operator=(const ThreeDCone& original);
    void plot(const VRMLWindow& scene) const;
    void plot(const VRMLFile& scene) const;
private:
    SFFloat _bottomRadius;
    SFFloat _height;
};

#endif
