#include "ThreeDContainer.h"
#include "VRMLWindow.h"
#include "VRMLFile.h"
#include "CLHEP/AIterator.h"
#include <iostream.h>

ThreeDContainer::ThreeDContainer()
{
}

ThreeDContainer::ThreeDContainer(const ThreeDContainer& original):
    _listOfNodes(original._listOfNodes)
{
}

ThreeDContainer::~ThreeDContainer()
{
}

ThreeDContainer& ThreeDContainer::operator=(const ThreeDContainer& original)
{
    _listOfNodes = original._listOfNodes;
    return(*this);
}

void ThreeDContainer::add(ThreeDNode* pNode)
{
    _listOfNodes.append(pNode);
}

void ThreeDContainer::plot(const VRMLWindow& scene) const
{
    ThreeDNode* pNode;
    HepAListIterator<ThreeDNode> it(_listOfNodes);
    while((pNode = it())) pNode->plot(scene);
}

void ThreeDContainer::plot(const VRMLFile& scene) const
{
    ThreeDNode* pNode;
    HepAListIterator<ThreeDNode> it(_listOfNodes);
    while((pNode = it())) pNode->plot(scene);
}








