#include "ThreeDCoordinate3.h"
#include "VRMLWindow.h"
#include "VRMLFile.h"
#include <iostream.h>

ThreeDCoordinate3::ThreeDCoordinate3()
{
}

ThreeDCoordinate3::ThreeDCoordinate3(const SFVec3f& aVector)
{
    _listOfVectors.append(aVector);
}

ThreeDCoordinate3::ThreeDCoordinate3(const ThreeDCoordinate3& original):
    _listOfVectors(original._listOfVectors)
{
}

ThreeDCoordinate3::~ThreeDCoordinate3()
{
}

ThreeDCoordinate3& ThreeDCoordinate3::operator=(const ThreeDCoordinate3& original)
{
    _listOfVectors = original._listOfVectors;
    return(*this);
}

void ThreeDCoordinate3::add(const SFVec3f aVector)
{
    _listOfVectors.append(aVector);
}

void ThreeDCoordinate3::plot(const VRMLWindow&) const
{
}

void ThreeDCoordinate3::plot(const VRMLFile& scene) const
{
    scene.out() << "Coordinate3\t{\tpoint\t[\t";
    SFVec3f* pVector;
    MFVec3fIterator it(_listOfVectors);
    while((pVector = it()))
    {
	scene.out() << pVector->x() << "\t";
	scene.out() << pVector->y() << "\t";
	scene.out() << pVector->z() << ",\t";
    }
    scene.out() << "]\t}\n";
}









