// ThreeD Coordinate3

#ifndef _ThreeDCoordinate3_h_
#define _ThreeDCoordinate3_h_

#include "MFVec3f.h"
#include "ThreeDShape.h"

class VRMLWindow;
class VRMLFile;

class ThreeDCoordinate3 : public ThreeDShape
{
public:
    ThreeDCoordinate3();
    ThreeDCoordinate3(const SFVec3f& aVector);
    ThreeDCoordinate3(const ThreeDCoordinate3& original);
    ~ThreeDCoordinate3();
    ThreeDCoordinate3& operator=(const ThreeDCoordinate3& original);
    void add(const SFVec3f aVector); 
    void plot(const VRMLWindow& scene) const; // Loops over contained vectors
    void plot(const VRMLFile& scene) const;   // -"-
protected:
    MFVec3f _listOfVectors;       // Contained vectors
};

#endif




