#include "ThreeDCube.h"
#include "VRMLWindow.h"
#include "VRMLFile.h"
#include <iostream.h>

ThreeDCube::ThreeDCube()
{
}

ThreeDCube::ThreeDCube(const SFFloat& width, 
		       const SFFloat& height, 
		       const SFFloat& depth):
    _width(width),
    _height(height),
    _depth(depth)
{
}
 
ThreeDCube::ThreeDCube(const ThreeDCube& original):
    _width(original._width),
    _height(original._height),
    _depth(original._depth)
{
}

ThreeDCube::~ThreeDCube()
{
}

ThreeDCube& ThreeDCube::operator=(const ThreeDCube& original)
{
    _width = original._width;
    _height = original._height;
    _depth = original._depth;
    return(*this);
}

void ThreeDCube::plot(const VRMLWindow&) const
{
}

void ThreeDCube::plot(const VRMLFile& scene) const
{
    scene.out() << "Cube {\t";
    scene.out() << "width\t" << _width << "\t";
    scene.out() << "height\t" << _height << "\t";
    scene.out() << "depth\t" << _depth << "\t";
    scene.out() << "}" << endl;
}






