// ThreeD Cube

#ifndef _ThreeDCube_h_
#define _ThreeDCube_h_

#include "ThreeDShape.h"
#include "SFFloat.h"

class VRMLWindow;
class VRMLFile;

class ThreeDCube : public ThreeDShape
{
public:
    ThreeDCube();
    ThreeDCube(const SFFloat& width, 
	       const SFFloat& height, 
	       const SFFloat& depth);
    ThreeDCube(const ThreeDCube& original);
    ~ThreeDCube();
    ThreeDCube& operator=(const ThreeDCube& original);
    void plot(const VRMLWindow& scene) const;
    void plot(const VRMLFile& scene) const;
private:
    SFFloat _width;
    SFFloat _height;
    SFFloat _depth;
};

#endif
