#include "ThreeDCylinder.h"
#include "VRMLWindow.h"
#include "VRMLFile.h"
#include <iostream.h>

ThreeDCylinder::ThreeDCylinder()
{
}

ThreeDCylinder::ThreeDCylinder(const SFFloat& radius, 
			       const SFFloat& height):
    _radius(radius),
    _height(height)
{
}

ThreeDCylinder::ThreeDCylinder(const ThreeDCylinder& original):
    _radius(original._radius),
    _height(original._height)
{
}

ThreeDCylinder::~ThreeDCylinder()
{
}

ThreeDCylinder& ThreeDCylinder::operator=(const ThreeDCylinder& original)
{
    _radius = original._radius;
    _height = original._height;
    return(*this);
}

void ThreeDCylinder::plot(const VRMLWindow&) const
{
}

void ThreeDCylinder::plot(const VRMLFile& scene) const
{
    scene.out() << "Cylinder {\t";
    scene.out() << "parts\tALL\t";
    scene.out() << "radius\t" << _radius << "\t";
    scene.out() << "height\t" << _height << "\t";
    scene.out() << "}" << endl;
}








