#include "ThreeDLOD.h"
#include "VRMLWindow.h"
#include "VRMLFile.h"
#include <iostream.h>

ThreeDLOD::ThreeDLOD()
{
}

ThreeDLOD::ThreeDLOD(const MFFloat& range,
		     const SFVec3f& center):
    _range(range),
    _center(center)
{
}

ThreeDLOD::ThreeDLOD(const ThreeDLOD& original):
    _range(original._range),
    _center(original._center)
{
    _listOfNodes = original._listOfNodes;
}

ThreeDLOD::~ThreeDLOD()
{
}

ThreeDLOD& ThreeDLOD::operator=(const ThreeDLOD& original)
{
    _listOfNodes = original._listOfNodes;
    _range = original._range;
    _center = original._center;
    return(*this);
}

void ThreeDLOD::plot(const VRMLWindow&) const
{
}

void ThreeDLOD::plot(const VRMLFile& scene) const
{
    scene.out() << "LOD {" << endl;
    scene.out() << "range" << "\t" << _range << endl;
    scene.out() << "center" << "\t" << _center << endl;
    ThreeDContainer::plot(scene);
    scene.out() << "}" << endl;
}

