// ThreeD Node
// Abstract SuperClass for all possible basic classes, 
// which are to be displayed
// Such classes should implement the method plot()


#ifndef _ThreeDNode_h_
#define _ThreeDNode_h_

class VRMLWindow;
class VRMLFile;

class ThreeDNode
{
public:
    ThreeDNode();
    ThreeDNode(const ThreeDNode& original);
    virtual ~ThreeDNode();
    ThreeDNode& operator=(const ThreeDNode& original);
    virtual void plot(const VRMLWindow& scene) const = 0;
    virtual void plot(const VRMLFile& scene) const = 0;
};

#endif

