// ThreeD PointSet

#ifndef _ThreeDPointSet_h_
#define _ThreeDPointSet_h_

#include "ThreeDShape.h"
#include "SFLong.h"

class VRMLWindow;
class VRMLFile;

class ThreeDPointSet : public ThreeDShape
{
public:
    ThreeDPointSet();
    ThreeDPointSet(const SFLong& startIndex, 
		   const SFLong& numPoints); 
    ThreeDPointSet(const ThreeDPointSet& original);
    ~ThreeDPointSet();
    ThreeDPointSet& operator=(const ThreeDPointSet& original);
    void plot(const VRMLWindow& scene) const;
    void plot(const VRMLFile& scene) const;
private:
    SFLong _startIndex;
    SFLong _numPoints;
};

#endif
