#include "ThreeDScale.h"
#include "VRMLWindow.h"
#include "VRMLFile.h"
#include <iostream.h>

ThreeDScale::ThreeDScale()
{
}

ThreeDScale::ThreeDScale(const SFVec3f& scale):
    _scale(scale)
{
}

ThreeDScale::ThreeDScale(const ThreeDScale& original):
    _scale(original._scale)
{
}

ThreeDScale::~ThreeDScale()
{
}

ThreeDScale& ThreeDScale::operator=(const ThreeDScale& original)
{
    _scale = original._scale;
    return(*this);
}

void ThreeDScale::plot(const VRMLWindow&) const
{
}

void ThreeDScale::plot(const VRMLFile& scene) const
{
    scene.out() << "Scale {\t";
    scene.out() << "scalefactor\t";
    scene.out() << _scale << "\t";
    scene.out() << "}" << endl;
}



