// ThreeD Scale

#ifndef _ThreeDScale_h_
#define _ThreeDScale_h_

#include "SFVec3f.h"
#include "ThreeDProperty.h"

class VRMLWindow;
class VRMLFile;

class ThreeDScale : public ThreeDProperty
{
public:
    ThreeDScale();
    ThreeDScale(const SFVec3f& scale);
    ThreeDScale(const ThreeDScale& original);
    ~ThreeDScale();
    ThreeDScale& operator=(const ThreeDScale& original);
    void plot(const VRMLWindow& scene) const;
    void plot(const VRMLFile& scene) const;
private:
    SFVec3f _scale;
};

#endif
