#include "ThreeDSphere.h"
#include "VRMLWindow.h"
#include "VRMLFile.h"
#include <iostream.h>

ThreeDSphere::ThreeDSphere()
{
}

ThreeDSphere::ThreeDSphere(const SFFloat& radius):
    _radius(radius)
{
}

ThreeDSphere::ThreeDSphere(const ThreeDSphere& original):
    _radius(original._radius)
{
}

ThreeDSphere::~ThreeDSphere()
{
}

ThreeDSphere& ThreeDSphere::operator=(const ThreeDSphere& original)
{
    _radius = original._radius;
    return(*this);
}

void ThreeDSphere::plot(const VRMLWindow&) const
{
}

void ThreeDSphere::plot(const VRMLFile& scene) const
{
    scene.out() << "Sphere {\t";
    scene.out() << "radius\t" << _radius << "\t";
    scene.out() << "}" << endl;
}

