#include "ThreeDWWWInline.h"
#include "VRMLWindow.h"
#include "VRMLFile.h"
#include <iostream.h>

ThreeDWWWInline::ThreeDWWWInline()
{
}

ThreeDWWWInline::ThreeDWWWInline(const SFString& name):
    _name(name)
{
}
 
ThreeDWWWInline::ThreeDWWWInline(const ThreeDWWWInline& original):
    _name(original._name),
    _bboxSize(original._bboxSize),
    _bboxCenter(original._bboxCenter)
{
}

ThreeDWWWInline::~ThreeDWWWInline()
{
}

ThreeDWWWInline& ThreeDWWWInline::operator=(const ThreeDWWWInline& original)
{
    _name = original._name;
    _bboxSize = original._bboxSize;
    _bboxCenter = original._bboxCenter;
    return(*this);
}

void ThreeDWWWInline::plot(const VRMLWindow&) const
{
}

void ThreeDWWWInline::plot(const VRMLFile& scene) const
{
    scene.out() << "WWWInline {\t";
    scene.out() << "name\t\"" << _name << "\"\t";
    scene.out() << "bboxSize\t" << _bboxSize << "\t";
    scene.out() << "bboxCenter\t" << _bboxCenter << "\t";
    scene.out() << "}" << endl;
}


