#include "VRMLFile.h"
#include <CLHEP/Strings.h>
#include "Plottable.h"
#include <iostream.h>

VRMLFile::VRMLFile():
    _out("output.wrl")
{
    _out << "#VRML V1.0 ascii\n" << endl;
}

VRMLFile::VRMLFile(const HepString& scenaName):
    _out(scenaName)
{
    _out << "#VRML V1.0 ascii\n" << endl;
}

VRMLFile::VRMLFile(const VRMLFile&)
{
}

VRMLFile::~VRMLFile()
{
}

VRMLFile& VRMLFile::operator=(const VRMLFile&)
{
    return(*this);
}

void VRMLFile::display(Plottable& plottable) const
{
    plottable.plottableObject().plot(*this);
}

ofstream& VRMLFile::out() const
{
    return _out;
}




